## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/eventhandlers.h File Reference

Event handler naming, name management, indexing, and instantiation. More...

`#include "cssysdef.h"`
`#include "csextern.h"`
`#include "iutil/eventnames.h"`
`#include "iutil/eventhandlers.h"`
`#include "iutil/objreg.h"`
`#include "csutil/scf_implementation.h"`
`#include "csutil/hash.h"`
`#include "csutil/strset.h"`
`#include "csutil/scf.h"`

Go to the source code of this file.

## Classes

class | csEventHandlerRegistry
| The csEventHandlerRegistry maintains a global one-to-one mapping from strings to csHandlerIDs, and a one-to-(zero or one) mapping from csHandlerIDs to iEventHandler pointers. More...

## Detailed Description

Event handler naming, name management, indexing, and instantiation.

Definition in file eventhandlers.h.